<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: CardWidget Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCardWidget-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CardWidget Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="cardwidget_8h_source.html">cardwidget.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CardWidget:</div>
<div class="dyncontent">
<div class="center"><img src="classCardWidget__inherit__graph.png" border="0" usemap="#CardWidget_inherit__map" alt="Inheritance graph"/></div>
<map name="CardWidget_inherit__map" id="CardWidget_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,140,237"/>
<area shape="rect" title=" " alt="" coords="19,5,126,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for CardWidget:</div>
<div class="dyncontent">
<div class="center"><img src="classCardWidget__coll__graph.png" border="0" usemap="#CardWidget_coll__map" alt="Collaboration graph"/></div>
<map name="CardWidget_coll__map" id="CardWidget_coll__map">
<area shape="rect" title=" " alt="" coords="5,131,140,237"/>
<area shape="rect" title=" " alt="" coords="19,5,126,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:ad709e1464ffc0a3a41f42aab5cd55165"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCardWidget.html#ad709e1464ffc0a3a41f42aab5cd55165">onCardClicked</a> (int id)</td></tr>
<tr class="separator:ad709e1464ffc0a3a41f42aab5cd55165"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a10a5a595710796866208232aab7ba236"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCardWidget.html#a10a5a595710796866208232aab7ba236">CardWidget</a> (int id, QWidget *parent=nullptr)</td></tr>
<tr class="separator:a10a5a595710796866208232aab7ba236"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e46a71c4f5aac9904cb60b2b59db5f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCardWidget.html#a86e46a71c4f5aac9904cb60b2b59db5f">~CardWidget</a> ()</td></tr>
<tr class="separator:a86e46a71c4f5aac9904cb60b2b59db5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b35ac3269d57685078de65479c03db0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCardWidget.html#a6b35ac3269d57685078de65479c03db0">getCardId</a> ()</td></tr>
<tr class="separator:a6b35ac3269d57685078de65479c03db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a4ee976680b82bc3486193fe8049f835d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCardWidget.html#a4ee976680b82bc3486193fe8049f835d">cardId</a></td></tr>
<tr class="separator:a4ee976680b82bc3486193fe8049f835d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a10a5a595710796866208232aab7ba236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a5a595710796866208232aab7ba236">&#9670;&nbsp;</a></span>CardWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CardWidget::CardWidget </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86e46a71c4f5aac9904cb60b2b59db5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86e46a71c4f5aac9904cb60b2b59db5f">&#9670;&nbsp;</a></span>~CardWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CardWidget::~CardWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6b35ac3269d57685078de65479c03db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b35ac3269d57685078de65479c03db0">&#9670;&nbsp;</a></span>getCardId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CardWidget::getCardId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad709e1464ffc0a3a41f42aab5cd55165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad709e1464ffc0a3a41f42aab5cd55165">&#9670;&nbsp;</a></span>onCardClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CardWidget::onCardClicked </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4ee976680b82bc3486193fe8049f835d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee976680b82bc3486193fe8049f835d">&#9670;&nbsp;</a></span>cardId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int CardWidget::cardId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="cardwidget_8h_source.html">cardwidget.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="cardwidget_8cpp.html">cardwidget.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
